POST /v1/bookings
curl --request POST \
--url https://www.skaala.ai/api/v1/bookings \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"body": {}
}'import requests
url = "https://www.skaala.ai/api/v1/bookings"
payload = { "body": {} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify({})})
};
fetch('https://www.skaala.ai/api/v1/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"200": {},
"400": {},
"401": {},
"404": {},
"500": {}
}Bookings
POST /v1/bookings
POST /v1/bookings
POST
/
v1
/
bookings
POST /v1/bookings
POST /v1/bookings
Request Body
CreateBooking
required
Request body following the
CreateBooking schemaResponses
success
Successful response
Code Examples
curl -X POST https://www.skaala.ai/api/v1/bookings \
-H "X-API-Key: sk_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{
// Your request body here
}'
const response = await fetch('https://www.skaala.ai/api/v1/bookings', {
method: 'POST',
headers: {
'X-API-Key': process.env.SKAALA_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
// Your request body here
})
});
const data = await response.json();
console.log(data);
import requests
import os
response = requests.post(
'https://www.skaala.ai/api/v1/bookings',
headers={'X-API-Key': os.environ['SKAALA_API_KEY']},
json={
# Your request body here
}
)
data = response.json()
print(data)
⌘I